/*
** 3/06/2001
** http://graphics.stanford.edu/software/wiregl
**
** Copyright 2001
** The Board of Trustees of The Leland Stanford Junior University.
** All rights reserved.
**
** Except for commercial resale, lease, license or other commercial
** transactions, permission is hereby given to use, copy, and/or
** modify this software, provided that the above copyright notice and
** this permission notice appear in all copies of this software.  No
** part of this software or any derivatives thereof may be used in
** graphics systems for resale or for use in a commercial product.
**
** This software is provided "as is" and without warranty of any kind,
** express, implied or otherwise, including without limitation, any
** warranty of merchantability or fitness for a particular purpose.
*/

#ifdef WINDOWS
#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#endif
#include <GL/gl.h>

#include "wiregl/include/wiregl_protocol.h"
#include "wiregl/include/wiregl_pipe.h"

void __decodeViewport( void )
{
	GLint x = READ_DATA( 0, GLint );
	GLint y = READ_DATA( 4, GLint );
	GLsizei width = READ_DATA( 8, GLint );
	GLsizei height = READ_DATA( 12, GLint );

	__gltrack_Viewport( x, y, width, height );
	INCR_DATA_PTR( 16 );
}

void __decodeScissor( void )
{
	GLint x = READ_DATA( 0, GLint );
	GLint y = READ_DATA( 4, GLint );
	GLsizei width = READ_DATA( 8, GLint );
	GLsizei height = READ_DATA( 12, GLint );

	__gltrack_Scissor( x, y, width, height );
	INCR_DATA_PTR( 16 );
}
